LibreOffice LibreOffice 5.3 SDK API Reference

Modules | Variables
CellFlags.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::CellFlags
| These constants select different types of cell contents.

## Variables
const long | VALUE = 1
| selects constant numeric values that are not formatted as dates or times. More...
const long | DATETIME = 2
| selects constant numeric values that have a date or time number format. More...
const long | STRING = 4
| selects constant strings. More...
const long | ANNOTATION = 8
| selects cell annotations. More...
const long | FORMULA = 16
| selects formulas. More...
const long | HARDATTR = 32
| selects all explicit formatting, but not the formatting which is applied implicitly through style sheets. More...
const long | STYLES = 64
| selects cell styles. More...
const long | OBJECTS = 128
| selects drawing objects. More...
const long | EDITATTR = 256
| selects formatting within parts of the cell contents. More...
const long | FORMATTED = 512
| selects cells with formatting within the cells or cells with more than one paragraph within the cells. More...